function [modulationVector] = buildVariableLengthModulationSignal(p_increaseStepsBy, p_repeatPatternNTimes, p_stableModLength, stream)
% Modulation signal. Building the modulation vector ----------------------% 

 %   shift = randi(stream,2,1)-1;
    positivePhaseLength = p_stableModLength * p_increaseStepsBy;
    negativePhaseLength = p_stableModLength * p_increaseStepsBy;    

  %  positivePhase = ones(positivePhaseLength,1);
  %  negativePhase = -ones(negativePhaseLength+randi(stream, 2,1)-1,1);
   % modulationVector = [positivePhase; negativePhase];
    
   modulationVector = [];
     
    for i = 1:p_repeatPatternNTimes
        shift = randi(stream,2,1)-1;
        
        negativePhase = -ones(negativePhaseLength + shift,1);
        positivePhase = ones(positivePhaseLength - shift,1);
        
        modulationVector = [modulationVector; positivePhase; negativePhase]; 
    end
    
    modulationVector = modulationVector';