clear;

addpath common;

addpath exp1;

init;
tic;

p_repeatPatternNTimes = 3;      
p_variableModLength = 0;
p_stableModLength = 20;
p_maxWeight = 1;
p_nr_outs = 1;
p_randomReset = 1;

% User choices------------------------------------------------------------%

disp('Simulation parameters E1-Test');

p_seedNumber = 9;
answer = input(['Random seed: [default  ' num2str(p_seedNumber) ']: ']);
if ~isempty(answer)
    p_seedNumber = answer;
end
stream = RandStream('mrg32k3a', 'Seed', p_seedNumber);
stream.reset;


% Start simulations ------------------------------------------------------%

p_transmissionNoise = 0.1;
disp(['Simulation of neural dynamics with high noise']);
exp1;
matrix1 = [squeeze(GABA_w(1,1,:)) squeeze(GLU_w(1,1,:))];

createWCloseSummary(matrix1);

clear matrix1;