% Generate the stimulus spike train --------------------------------------%
function [firingInput] = generateSpikeTrain(p_probSpike, p_firingValue, p_notFiringValue, p_STEPS, stream, p_transmissionNoise)

firingInput = ones(p_STEPS, 1) + rand(stream, p_STEPS, 1) * 2 * p_transmissionNoise - p_transmissionNoise;

inputCanFire = 1;       % service variable, 0 for refractory period
i = 1;                  % service variable

while (i <= p_STEPS);
    if (rand(stream) < p_probSpike) && (inputCanFire == 1)
        firingInput(i) = p_firingValue;
        inputCanFire = 0;
    else
        firingInput(i) = p_notFiringValue;
        inputCanFire = 1;
    end
    i = i + 1;
end
