startFrom = 3000;
stopAt = size(log_XYMod,2);
gridResolution = 100;
clear probDensity;
probDensity = zeros(gridResolution);

for i =  startFrom:stopAt    
    
    xCoord = int8(round(log_XYMod(1,i) * gridResolution + 0.5));
    yCoord = int8(round(log_XYMod(2,i) * gridResolution + 0.5));
    probDensity(xCoord, yCoord) = probDensity(xCoord, yCoord) + 1;
    
end

figure1 = figure();

surf(log(probDensity+2), 'LineStyle','none');
view([90 90]);
axis off;
axis equal;
%colormap('gray')

figure2 = figure();

surf(log(probDensity+2), 'LineStyle','none');
view([90 90]);
axis off;
axis equal;
colormap('gray')

% OR
%imagesc(log(probDensity+1'));
%axis equal;
%colormap('gray')


clear startFrom;
clear stopAt;
clear xCoord;
clear yCoord;
clear gridResolution;