
sampleInterval = 20;

a = squeeze(GLU_w);             % from n x 1 x STEP to n x STEP
b = squeeze(GABA_w);

GLU_w_reshaped = reshape(a,6, p_cycleLength,p_totLives);
GABA_w_reshaped = reshape(b,6, p_cycleLength,p_totLives);

if p_totLives > 1
    data_GLU1 = mean(GLU_w_reshaped(:,:,1:2:p_totLives -1),3)';
    data_GLU2 = mean(GLU_w_reshaped(:,:,2:2:p_totLives),3)';
    createWeightsfigure(data_GLU1(1:sampleInterval:p_cycleLength,:),1);
    createWeightsfigure(data_GLU2(1:sampleInterval:p_cycleLength,:),2);
    data_GLU1_aug = [(1:sampleInterval:p_cycleLength)' data_GLU1(1:sampleInterval:p_cycleLength,:)];
    save -ascii -tabs WeightsDataE2odd_forImport.txt data_GLU1_aug
    
    data_GLU2_aug = [(1:sampleInterval:p_cycleLength)' data_GLU2(1:sampleInterval:p_cycleLength,:)];
    save -ascii -tabs WeightsDataE2even_forImport.txt data_GLU2_aug
    
else
    data_GLU1 = GLU_w_reshaped(:,:,1)';
    createWeightsfigure(data_GLU1(1:sampleInterval:p_cycleLength,:),1);
end

% clearing variable
clear a; 
clear b;
clear sampleInterval;
clear GLU_w_reshaped;
clear GABA_w_reshaped;
clear data_GLU1;
clear data_GLU1_aug;
clear data_GLU2;
clear data_GLU2_aug;





