% Logs -------------------------------------------------------------------%

    log_sensors           = zeros(p_nr_ins,p_STEPS);
    log_XYMod             = zeros(3, p_STEPS);

% Service variables ------------------------------------------------------%
    wallContact = 0;

    sensorA             = zeros(2,1);
    sensorB             = zeros(2,1);
    sensorC             = zeros(2,1);
    sensorD             = zeros(2,1);

    B_OffBoard(1:nr_B_objs) = 0;
    A_OffBoard(1:nr_A_objs) = 0;
    C_OffBoard(1:nr_C_objs) = 0;
    D_OffBoard(1:nr_D_objs) = 0;

    % Location of the sensors. This are recomputed at each step in agentMoves.m
    xL = x0 + ((p_objSensorDistanceFromBody) * cos(angle + p_objSensorAngle));
    yL = y0 + ((p_objSensorDistanceFromBody) * sin(angle + p_objSensorAngle));
    xR = x0 + ((p_objSensorDistanceFromBody) * cos(angle - p_objSensorAngle));
    yR = y0 + ((p_objSensorDistanceFromBody) * sin(angle - p_objSensorAngle));
    
    deltaxA(1:nr_A_objs) = 0;
    deltayA(1:nr_A_objs) = 0;
    deltaxB(1:nr_B_objs) = 0;
    deltayB(1:nr_B_objs) = 0;

    distB           = zeros(nr_B_objs);
    distB_1         = zeros(nr_B_objs);

    distA           = zeros(nr_A_objs,1);
    distA_1         = zeros(nr_A_objs, 1);

    distW           = 1;      % distance to the nearest wall
    distW_1         = 1;      % old distance to the nearest wall

    turnStrength    = 0;

    deltaAngle      = 0;

    modulation      = 0; 
    
    s_step          = 2;
    
    simulationEnded = 0;

