%Reminder:
% Log modulation
% l_mod(s_life,s_session,s_scan,s_currentProblem) = modulation;

% sum the fourth dimension of the vector that is the modulation at one scan
% reducing from 4 to 3 dymension
l_modOneStepAllInputs = sum(l_mod,4);


for i = 1:p_totLives
    stepInLife = 1;
    for j = 1:p_learningSessionsInLifetime
        for k = 1:p_scansInLearningSession
            l_modSessionsSequentiallyTogether(i,stepInLife) = l_modOneStepAllInputs(i,j,k);
            stepInLife = stepInLife + 1;
        end
    end
end

createSumModfigure(sum(l_modSessionsSequentiallyTogether,1));

totstepsInLife = p_learningSessionsInLifetime * p_scansInLearningSession * p_nr_ins;

% stochastic figure mod + weights
%create1Pfigure(squeeze(GLU_w(1,:,1:1:totstepsInLife))',l_modSessionsTogether')

a = [(1:1:totstepsInLife)']; 
%createWfigure(a(:,2:4));
 
 for i=1:p_nr_ins
    a = [a squeeze(GLU_w(1,:,1:1:totstepsInLife))'];
 end

%figure;
%plot(a(:,2:p_nr_ins*p_nr_outs));
b = sum(l_modSessionsSequentiallyTogether,1)';
save -ascii -tabs weightsDataSampleE3.txt a
save -ascii -tabs totMod.txt b

for inp = 1:p_nr_ins
   stepInSim = 1;
    for i = 1:p_totLives
        for j = 1:p_learningSessionsInLifetime
            for k = 1:p_scansInLearningSession
                l_modPerInput(inp,stepInSim) = l_mod(i,j,k,inp);
                stepInSim = stepInSim + 1;   
            end
        end
    end
end

% observing modulation and weights: requires 1 life and 1 problem
if p_totLives == 1 && p_nr_ins == 1
    
    b = a(:,2:p_nr_ins*p_nr_outs + 1);
    createWMfigure(b,l_modPerInput);
    
end

clear i;
clear j;
clear k;
clear stepInLife;
clear totstepsInLife;
clear b;